<?php
include("conexion.php");

$valor_pago=$_POST['valor_pago'];
$usuario=$_POST['usuario'];
$orden_pago=$_POST['orden_pago'];
$tipo_pago=$_POST['tipo_pago'];
$fecha_pago=$_POST['fecha_pago'];
$quien_paga=$_POST['quien_pagaaqui'];
$trm=$_POST['trm'];
$fact=$_POST['fact'];
$detalles= $_POST['comentarios'];
if(isset($_POST['quien_paga'])){$quien_paga=$_POST['quien_paga'];} else{$quien_paga="";}


$valor_pago=str_replace(",","",$valor_pago);


////id orden
$query="SELECT `id_pedido`, `orden` FROM `pedidos` WHERE `orden`='$orden_pago'";
$result=$conexion-> query ($query);
$row=$result->fetch_assoc();
$id_pedido=$row['id_pedido'];







$query="SELECT `id_pago`, `fecha_pago`, `tipo_pago`, `valor_pago`, `orden_pago`, quien_paga FROM `pagos` WHERE `tipo_pago`='$tipo_pago' AND orden_pago='$orden_pago' AND quien_paga='$quien_paga'";
$result=$conexion-> query ($query);
$row=$result->fetch_assoc();


if ($row['id_pago']!="") {

$id_pago=$row['id_pago'];
$valor_total=$row['valor_pago']+$valor_pago;




$query2="UPDATE `pagos` SET `trm`='$trm',`fact`='$fact', `fecha_pago`='$fecha_pago',`tipo_pago`='$tipo_pago',`valor_pago`='$valor_total',`orden_pago`='$orden_pago',`quien_paga`='$quien_paga',`usuario`='$usuario' WHERE `id_pago`='$id_pago';";

$resultadoc=$conexion->query($query2);

}
else
{

	

$query2="INSERT INTO `pagos`(`fecha_pago`, `tipo_pago`, `valor_pago`, `orden_pago`, `quien_paga`, `usuario`, `trm`, `fact`, `detalles`) VALUES ('$fecha_pago','$tipo_pago','$valor_pago','$orden_pago','$quien_paga','$usuario','$trm','$fact','$detalles');";

$resultadoc=$conexion->query($query2);





}




$detalles= $_POST['comentarios'];
$sqlincluir="INSERT INTO tiempos(detalles,id_pedido,fecha,usuario)VALUES('$detalles','$id_pedido','$fecha_pago','$usuario')";	
   
 $resultadoed=$conexion-> query ($sqlincluir);


header("Location: pagos.php?orden=".$orden_pago);


?>
